<?php

namespace App\Policies;

use App\Models\AboutUsMessage;
use App\Models\User;
use Illuminate\Auth\Access\Response;

class AboutUsMessagePolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->hasAnyPermission([
            'create aboutusmessage', 'edit aboutusmessage', 'view aboutusmessage', 'delete aboutusmessage'
        ]);
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, AboutUsMessage $aboutUsMessage): bool
    {
        return $user->hasPermissionTo('view aboutusmessage');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->hasPermissionTo('create aboutusmessage');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, AboutUsMessage $aboutUsMessage): bool
    {
        return $user->hasPermissionTo('edit aboutusmessage');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, AboutUsMessage $aboutUsMessage): bool
    {
        return $user->hasPermissionTo('delete aboutusmessage');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, AboutUsMessage $aboutUsMessage): bool
    {
        return $user->hasPermissionTo('restore aboutusmessage');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, AboutUsMessage $aboutUsMessage): bool
    {
        return $user->hasPermissionTo('force delete aboutusmessage');
    }
}
